UltraSn0w 1.2.5 Released: Unlock for iPhone 3GS & iPhone 4 supporting iOS 5.0.1

in iPhone Unlock by

 

Editor's Note: Factory Unlock your iPhone http://unlock.senseiphone.com/

 

 

 

UltraSn0w 1.2.5

 

 

Ultrasn0w 1.2.5 has just been released on Cydia supporting the latest iOS 5.0.1 firmware. Sadly, it still does not support any new basebands.

What does UltraSn0w do?
Ultrasn0w enables you to unlock your iPhone and allows you to use it with any other GSM carrier. (ie. T-Mobile)
Of course, Unlocking your device first requires you to Jailbreak your device. [How to Jailbreak iOS 5.0.1]

Also, you will still NEED an unlockable baseband to utilize ultrasn0w
Supported basebands:
iPhone 4: baseband 01.59.00
iPhone 3GS: basebands 04.26.08 05.11.07 05.12.01 05.13.04 and 06.15.00
If you don’t have the listed basebands above..you are out of luck. Hopefully they have another update soon that supports all the latest basebands, but we can only hope for now.

 

Joel Barron (149 Posts)

My name is Joel Barron aka JBTech! I like making informative/useful YouTube videos for my viewers! You can subscribe here: http://YouTube.com/JBTech17 My YouTube videos consists of: - iPhone/iPad/iTouch - Modding/Jailbreaking - Unboxing's - Reviews - How-To's - Tech - Giveaways
JBTech on Google+




Join SenseiPhone on



Facebook https://www.facebook.com/SenseiPhone
Twitter https://twitter.com/SenseiPhone
Google+ https://plus.google.com/108865025658541181081